
#ifndef SAFE_INPUT_H
#define SAFE_INPUT_H

#include <avr/io.h>

#define SI_SAFETIME 10 //"Zeit" zum entprellen. Hohe werte bringen eine lngere Zeit mit, bis eine Taste tatschlich als gedrckt erkannt wird, bzw nicht mehr als gedrckt erkannt wird!
#define SI_PORTA    0
#define SI_PORTB    1
#define SI_PORTC    2
#define SI_PORTD    3

void SI_activate_port(int port);
void SI_deactivate_port(int port);
void SI_check_input(void); //Muss periodisch aufgerufen werden, am besten alle 1-10 ms. Die SI_SAFETIME ist danach auszurichten! (Zeit bis zum tatschlichen einschalten: Zeit_zwischen_aufruf * (SI_SAFETIME / 2)
int SI_pin(int port, int bit);

#endif // SAFE_INPUT_H
